<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="css_main.xsl"/>
	<xsl:template match="/">
	  <xsl:apply-templates />
	</xsl:template>

	<xsl:template match="docs">
		<html>
			<head>
				<title><xsl:value-of select="@title" /></title>
				<meta http-equiv="Content-Type" content="text/html; charset=shift-jis"/>
				<xsl:call-template name="css"/>
			</head>
			<body>
				<center>
					<div class="title"><xsl:value-of select="@title" /></div>
					<xsl:if test="not(@update) = false">
						<div class="update"><i><xsl:value-of select="@update" /> XV</i></div>
					</xsl:if>
					<table class="group">
						<xsl:apply-templates />
					</table>
				</center>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="block">
		<tr><xsl:apply-templates /></tr>
	</xsl:template>

	<xsl:template match="category">
		<td class="block">
			<table class="category">
				<tr><td class="category"><xsl:value-of select="@name" /></td></tr>
				<tr><td class="indent"><xsl:apply-templates/></td></tr>
			</table>
		</td>
	</xsl:template>

	<xsl:template match="doc">
		<table>
			<xsl:choose>
				<xsl:when test='count(doc) > 0'>
					<tr><td class="sub-doc">
						<xsl:call-template name="link"/>
					</td></tr>
				</xsl:when>
				<xsl:otherwise>
					<tr><td class="doc">
						<xsl:call-template name="link"/>
					</td></tr>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test='count(doc) > 0'>
			<tr><td class="indent"><xsl:apply-templates/></td></tr>
			</xsl:if>
		</table>
	</xsl:template>

	<xsl:template name="link">
		<xsl:choose>
			<xsl:when test='not(@name) and contains(@link,".xml")'>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@link" /></xsl:attribute>
					<xsl:attribute name="target">IM_MAIN</xsl:attribute>
					<xsl:for-each select="document(@link)/docs">
						<xsl:value-of select="@title"/>
					</xsl:for-each>
				</a>
			</xsl:when>
			<xsl:when test='not(@name) = false and not(@link)'>
					<xsl:value-of select="@name"/>
			</xsl:when>
			<xsl:otherwise>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@link" /></xsl:attribute>
					<xsl:attribute name="target">IM_MAIN</xsl:attribute>
					<xsl:value-of select="@name"/>
				</a>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="node()">
		<xsl:copy>
			<xsl:for-each select="@*">
		<xsl:copy />
		</xsl:for-each>
			<xsl:apply-templates />
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>
